%global         momorel 10

Name:           perl-SOAP-Transport-FTP
Version:        0.711
Release:        %{momorel}m%{?dist}
Summary:        SOAP::Transport::FTP Perl module
License:        Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SOAP-Transport-FTP/
Source0:        http://www.cpan.org/authors/id/M/MK/MKUTTER/SOAP-Transport-FTP-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= v5.6.0
BuildRequires:  perl-IO
BuildRequires:  perl-libnet
BuildRequires:  perl-Module-Build
BuildRequires:  perl-SOAP-Lite >= 0.711
BuildRequires:  perl-Test-Simple
Requires:       perl-IO
Requires:       perl-libnet
Requires:       perl-SOAP-Lite >= 0.711
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
perl Build.PL ./Build ./Build test ./Build install

%prep
%setup -q -n SOAP-Transport-FTP-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Debian_CPANTS.txt README
%{perl_vendorlib}/SOAP/Transport/FTP.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.711-10m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.711-9m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.711-8m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.711-7m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.711-6m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.711-5m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.711-4m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.711-3m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.711-2m)
- rebuild against perl-5.14.2

* Fri Aug 19 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.711-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
